Description

Here are 3 proposals for new PPMonoid pseudo-ctor signatures:

  PPMonoid NewPPMonoid(const PPOrdering& ord);

  PPMonoid NewPPMonoid(const MachineInt& nvars, const PPOrdering& ord);

  PPMonoid NewPPMonoid(const MachineInt& nvars, const PPOrderingCtor& ord);

 

Is the second pseudo-ctor useful?  The PPOrdering already knows the number of indets it expects!

NB This idea was buried in issue #156.

Related issues:

Related to CoCoALib - Feature #812: PPMonoid pseudo-ctor without explicit ord... New 23 Nov 2015

Related to CoCoALib - Design #1223: NewPolyRing default indet names Closed 02 Sep 2018

History

#1 - 21 Feb 2013 17:53 - John Abbott

What would we want these pseudo-ctors to do?

1. create a PPMonoid using anonymous symbols

2. create a PPMonoid using named symbols (e.g. x[1] upto x[n])

Anna thinks (2) is better because it corresponds to what we do when creating a new sparse poly ring without specifying the names.

#2 - 26 Feb 2013 17:40 - John Abbott

- Category set to New Function

- Status changed from New to In Progress

- Assignee set to John Abbott

- Target version set to CoCoALib-0.9953

John and Anna do not yet agree on what names should be given to the indets in a PPM created by these fns: John prefers (1), Anna prefers (2).

It is not especially onerous to achieve the behaviours (1) and (2) explicitly: for instance

NewPPMonoid(NewSymbols(n), ChosenOrdering);        -- anonymous symbols

NewPPMonoid(SymbolRange("x",1,n), ChosenOrdering); -- symbols x[1..n]

John now proposes that this issue be rejected because:

it offers little saving over existing ways of creating PPMs
the precise meaning is ambiguous (J & A have different expectations)

#3 - 05 Mar 2013 18:16 - John Abbott

- Status changed from In Progress to Rejected

Both Anna and John think this issue should be rejected.

#4 - 02 Sep 2018 21:33 - John Abbott

- Related to Design #1223: NewPolyRing default indet names added
